globus_generic_error_utility(3)

NAME
globus_generic_error_utility - Error Handling Helpers

 - Error Handling Helpers.

SYNOPSIS

  Error Match

globus_bool_t globus_error_match (globus_object_t *error, globus_module_descriptor_t *module, int type)

  Print Error Chain

char * globus_error_print_chain (globus_object_t *error)

  Print User Friendly Error Message

char * globus_error_print_friendly (globus_object_t *error)

Detailed Description

Error Handling Helpers.

Helper functions for dealing with Globus Generic Error objects.

This section defines utility functions for dealing with Globus Generic Error objects.

Function Documentation

  globus_bool_t globus_error_match (globus_object_t * error, globus_module_descriptor_t * module, int type)
Check whether the error originated from a specific module and is of a specific type.

This function checks whether the error or any of it's causative errors originated from a specific module and is of a specific type. If the module descriptor is left unspecified this function will check for any error of the specified type and vice versa.

Parameters
    error The error object for which to perform the check
    module The module descriptor to check for
    type The type to check for

Returns
    GLOBUS_TRUE - the error matched the module and type GLOBUS_FALSE - the error failed to match the module and type

  char * globus_error_print_chain (globus_object_t * error)
Return a string containing all printable errors found in a error object and it's causative error chain.

If the GLOBUS_ERROR_VERBOSE env is set, file, line and function info will also be printed (where available). Otherwise, only the module name will be printed.

Parameters
    error The error to print

Returns
    A string containing all printable errors. This string needs to be freed by the user of this function.

  char * globus_error_print_friendly (globus_object_t * error)
Return a string containing error messages from the top 1 and bottom 3 objects, and, if found, show a friendly error message. The error chain will be searched from top to bottom until a friendly handler is found and a friendly message is created.

If the GLOBUS_ERROR_VERBOSE env is set, then the result from globus_error_print_chain() will be used.

Parameters
    error The error to print

Returns
    A string containing a friendly error message. This string needs to be freed by the user of this function.

Author

Generated automatically by Doxygen for globus_common from the source code.